﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Device.Location;

using System.Windows.Media.Imaging;
using System.Windows.Threading;

namespace GPS_EMU
{
    public partial class MainPage : PhoneApplicationPage
    {
        short ticks = 0;
        short nowTicks = 0;

        // Constructor
        public MainPage()
        {
            InitializeComponent();


            DispatcherTimer timer = new DispatcherTimer();
            timer.Interval = TimeSpan.FromSeconds(3);
            timer.Tick += new EventHandler((s, e) =>
            {
                ticks++;
            });

            timer.Start();


            GpsEmulatorClient.GeoCoordinateWatcher watcher = new GpsEmulatorClient.GeoCoordinateWatcher();
            watcher.PositionChanged += new EventHandler<GeoPositionChangedEventArgs<GeoCoordinate>>(watcher_PositionChanged);
            watcher.Start();
            
        }



        void watcher_PositionChanged(object sender, GeoPositionChangedEventArgs<GeoCoordinate> e)
        {
            if (nowTicks == 0) nowTicks = ticks;            

            ApplicationTitle.Text = string.Format("{0:#.####} / {1:#.####}",
                e.Position.Location.Latitude,
                e.Position.Location.Longitude);

            if (!nowTicks.Equals(0))
            {

                staticMap.Source = new BitmapImage(new Uri(
                    string.Format("http://maps.google.com/maps/api/staticmap?center={0},{1}&zoom=12&size={2}x{3}&sensor=false",
                    e.Position.Location.Latitude,
                    e.Position.Location.Longitude,
                    staticMap.Width,
                    staticMap.Height), UriKind.Absolute
                    ));

                nowTicks = ticks = 0;

            }


        }
    }
}